<script setup lang="ts">
import DogCard from '@/components/DogCard.vue';
import { deleteDog, fetchAllDogs } from '@/dog-service';
import type { Dog } from '@/entities';
import { onMounted, ref } from 'vue';


const dogList = ref<Dog[]>([]);
//Une ref qui indique que les données sont en cours de chargement
const loading = ref(true);


onMounted(async () => {
  dogList.value = await fetchAllDogs();
  loading.value = false;
});

async function dogDeleted(dog:Dog) {
  await deleteDog(dog.id);
  dogList.value = dogList.value.filter(item => item.id != dog.id);
  // dogList.value = await fetchAllDogs();
}

</script>

<template>
  
  <div v-if="loading">Loading...</div>
  <div v-if="!loading">
    <div class="row row-cols-md-3 row-cols-sm-2 row-cols-1 g-2">
      <div class="col" v-for="item of dogList">
        <DogCard :dog="item" @delete="dogDeleted($event)" />
      </div>
    </div>
  </div>
</template>
